Bug 732353 - Drools unit tests failing on AIX
Summary: Drools unit tests failing on AIX
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRE (Expert, Fusion)
Version: BRMS 5.2.0-ER1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Tihomir Surdilovic
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-22 06:14 UTC by Lukáš Petrovický
Modified: 2011-09-15 05:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-28 08:40:34 UTC
Type: ---


Attachments (Terms of Use)
Test result showing the failures (121 bytes, text/plain)
2011-08-22 06:15 UTC, Lukáš Petrovický
no flags Details

Description Lukáš Petrovický 2011-08-22 06:14:07 UTC
The following Drools tests are failing when running on AIX:

>>> org.drools.integrationtests.CepEspTest.testIdleTimeAndTimeToNextJob 
>>> org.drools.integrationtests.CepEspTest.testCollectWithWindows 
>>> org.drools.integrationtests.DynamicRulesTest.testDynamicRuleAdditions 
>>> org.drools.integrationtests.DynamicRulesTest.testRemovePackage 
>>> org.drools.integrationtests.DynamicRulesTest.testRuleBaseAddRemove 
>>> org.drools.integrationtests.DynamicRulesTest.testDynamicNotNode 
>>> org.drools.integrationtests.MarshallingTest.testSerializeWorkingMemoryAndRuleBase1 
>>> org.drools.integrationtests.MarshallingTest.testSerializeWorkingMemoryAndRuleBase2 
>>> org.drools.integrationtests.MarshallingTest.testSerializeAdd 
>>> org.drools.integrationtests.MarshallingTest.testSerializeAdd2 
>>> org.drools.integrationtests.MarshallingTest.testSerializeAdd_newRuleNotFiredForNewData 
>>> org.drools.integrationtests.MarshallingTest.testSerializeAdd3 
>>> org.drools.integrationtests.MarshallingTest.testSerializeAddRemove_NoClassDefFoundError 
>>> org.drools.integrationtests.MiscTest.testDynamicallyAddInitialFactRule

They are all failing with the following exception:
java.lang.NullPointerException
	at java.util.concurrent.locks.ReentrantLock.lock(ReentrantLock.java:273)
	at java.util.concurrent.CopyOnWriteArrayList.add(CopyOnWriteArrayList.java:393)
        ... (here comes various places of Drools codebase)

The JVM used is:
java.version	1.6.0
java.vm.info	J2RE 1.6.0 IBM J9 2.4 AIX ppc64-64 jvmap6460sr5-20090519_35743 (JIT enabled, AOT enabled) J9VM - 20090519_035743_BHdSMr JIT - r9_20090518_2017 GC - 20090417_AA
java.vm.name	IBM J9 VM

The stack trace would suggest a bug in the JVM. I'll see if I can get our IT to upgrade it on the machine.

Comment 1 Lukáš Petrovický 2011-08-22 06:15:28 UTC
Created attachment 519226 [details]
Test result showing the failures

Please look only at the failures mantioned in this bug report. The others occur on other operating systems/JVMs as well.

Comment 3 Lukáš Petrovický 2011-08-28 08:40:34 UTC
Upgrading JVM on those AIX machines fix the issues. Closing as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.